UG二次开发NXOpen-Python(十二) 通过命令行运行程序

因为各种原因,有时候,我们不希望在UG程序界面通过人机交互来执行二次开发程序,我们希望可以在后台运行程序,例如我们自己做了一个UI界面,想通过点按钮生成一些部件文件。

比如说,我想通过命令行输入长宽高直接生成一个长方体的部件文件,那么我们可以利用下面这个工具来实现,在UG里面有这样一个工具:

其使用说明如下:

利用这个工具,我们可以通过命令行指令在后台运行程序,而且在输入时能附带参数。

首先,我们建立一个简单的脚本,该脚本的作用是新建一个文件,画一个长方体,然后保存到”D:\\block”,该长方体的长宽高通过命令行指定

import sys


def main(length, width, height):
    print(length, width, height)
    theUFSession: NXOpen_UF.UFSession = NXOpen_UF.UFSession.GetUFSession()
    ufPart: NXOpen_UF.Part = theUFSession.Part
    ufModF: NXOpen_UF.ModlFeatures = theUFSession.ModlFeatures
    newPart = ufPart.New("d:\\block", 1)
    ufModF.CreateBlock(NXOpen_UF.ModlFeatureSigns.NULLSIGN, 0, [0.0, 0.0, 0.0],
                       [length, width, height])
    ufPart.Save()


if __name__ == "__main__":
    main(*sys.argv[1:])

然后,在命令行输入

成功后就能在D盘中找到生成的文件

原文地址:http://www.cnblogs.com/hustmse0510/p/16926650.html

发表评论

您的电子邮箱地址不会被公开。